API ReferenceWorkstreams

List Workstreams

GET
/v1/workstreams

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Query Parameters

status?string

Value in

  • "open"
  • "complete"
archived?boolean
Defaultfalse
limit?integer

Maximum records to return.

Range1 <= value <= 100
Default20
cursor?string

Workstream ID from next_cursor.

Length1 <= length <= 80

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workstreams"
{  "object": "list",  "data": [    {      "id": "string",      "object": "workstream",      "title": "string",      "objective": "string",      "execution_mode": "parallel",      "status": "open",      "display_status": "working",      "agents": [        {          "id": "string",          "name": "string"        }      ],      "thread_count": 0,      "cost_usd": 0,      "max_cost_usd": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "archived_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}